- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QAnimationGroup Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qanimationgroup.h.

`#include <qanimationgroup.h>`

Inheritance diagram for QAnimationGroup:
[legend]

List of all members.

## Public Member Functions
| QAnimationGroup (QObject *parent=0)
| ~QAnimationGroup ()
QAbstractAnimation * | animationAt (int index) const
int | animationCount () const
int | indexOfAnimation (QAbstractAnimation *animation) const
void | addAnimation (QAbstractAnimation *animation)
void | insertAnimation (int index, QAbstractAnimation *animation)
void | removeAnimation (QAbstractAnimation *animation)
QAbstractAnimation * | takeAnimation (int index)
void | clear ()
## Protected Member Functions
| QAnimationGroup (QAnimationGroupPrivate &dd, QObject *parent)
bool | event (QEvent *event)

## Constructor & Destructor Documentation

QAnimationGroup | ( | QObject * | parent = `0` | ) |

~QAnimationGroup | ( |  | ) |

QAnimationGroup | ( | QAnimationGroupPrivate & | dd,
|  | QObject * | parent
| ) |  | `[protected]`

## Member Function Documentation

QAbstractAnimation* animationAt | ( | int | index | ) | const

Search for all occurrences

int animationCount | ( |  | ) | const

Search for all occurrences

int indexOfAnimation | ( | QAbstractAnimation * | animation | ) | const

Search for all occurrences

void addAnimation | ( | QAbstractAnimation * | animation | ) |

Search for all occurrences

void insertAnimation | ( | int | index,
|  | QAbstractAnimation * | animation
| ) |  |

Search for all occurrences

void removeAnimation | ( | QAbstractAnimation * | animation | ) |

Search for all occurrences

QAbstractAnimation* takeAnimation | ( | int | index | ) |

Search for all occurrences

void clear | ( |  | ) |

Search for all occurrences

bool event | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractAnimation.

Reimplemented in QParallelAnimationGroup, and QSequentialAnimationGroup.

The documentation for this class was generated from the following file:

- QtCore/qanimationgroup.h

QAnimationGroup QAnimationGroup QAnimationGroup QAnimationGroup QAnimationGroup QAnimationGroup QAnimationGroup QAnimationGroup QAnimationGroup QAnimationGroup
QAnimationGroup QAnimationGroup QAnimationGroup QAnimationGroup QAnimationGroup QAnimationGroup QAnimationGroup QAnimationGroup QAnimationGroup QAnimationGroup